/*
 *	Copyright (C) 2008. PARP Research Group.
 *	<http://perception.inf.um.es>
 *	University of Murcia, Spain.
 *
 *	This file is part of the QVision library.
 *
 *	QVision is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as
 *	published by the Free Software Foundation, version 3 of the License.
 *
 *	QVision is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public
 *	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef CAMERADIALOG_H
#define CAMERADIALOG_H

#include <QDialog>
#include <qvgui/qvparamsinspectorwidget.h>
#include <qvgui/qvcamerawidgetsmall.h>

class QVCamera;

#ifndef DOXYGEN_IGNORE_THIS

class CameraDialog: public QDialog
{
	Q_OBJECT
	
	public:
		CameraDialog(QVCamera *camera, QWidget *parent = 0);

		/// @brief Gets the QVParamsInspectorWidget's QVPropertyContainerInformer.
		///
		/// The QVParamsInspectorWidget's QVPropertyContainerInformer is the object in charge of emit the changes of the QVPropertyContainer.
		///
		/// @return the QVParamsInspectorWidget's QVPropertyContainerInformer.
		QVPropertyContainerInformer *getInformer() { return inspector.getInformer(); }

	public slots:
		void enableInspector();
		void disableInspector();

	private:
		QVParamsInspectorWidget inspector;
		QVCameraWidgetSmall interface;

		QVBoxLayout *vboxlayout;
};
#endif
#endif

